org.red5.server.messaging

## Interface IMessageComponent

All Known Subinterfaces:
  IConsumer, IFilter, IProvider, IPullableProvider, IPushableConsumer, ISeekableProvider, IStreamTypeAwareProvider

All Known Implementing Classes:
  ClientBroadcastStream, ConnectionConsumer, ConnectionProvider, FileConsumer, FileProvider, PlayEngine, ServerStream, StreamBandwidthController

    public interface IMessageComponent

Message component handles out-of-band control messages

### Method Summary

Methods
`void` `onOOBControlMessage(IMessageComponent source, IPipe pipe, OOBControlMessage oobCtrlMsg)`

### Method Detail

#### onOOBControlMessage

    void onOOBControlMessage(IMessageComponent source,
                           IPipe pipe,
                           OOBControlMessage oobCtrlMsg)

Parameters:
  `source` - Message component source
  `pipe` - Connection pipe
  `oobCtrlMsg` - Out-of-band control message